### Method

# Gtk TextBuffer apply_tag

#### Declaration [src]

    void
    gtk_text_buffer_apply_tag (
      GtkTextBuffer* buffer,
      GtkTextTag* tag,
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Emits the “apply-tag” signal on `buffer`.

The default handler for the signal applies `tag` to the given range. `start` and `end` do not have to be in order.

#### Parameters

`tag` | `GtkTextTag`
| A `GtkTextTag`.
| The data is owned by the caller of the function.
`start` | `GtkTextIter`
| One bound of range to be tagged.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| Other bound of range to be tagged.
| The data is owned by the caller of the function.